#include "vtkEdgeFaceCell.h"

#include <assert.h>

#include "vtkPoints.h"
#include "vtkPointLocator.h"
#include "vtkTetra.h"
#include "vtkTriangle.h"
#include "vtkLine.h"
#include "vtkVertex.h"
#include "vtkPointData.h"
#include "vtkCellData.h"
#include "vtkDoubleArray.h"
#include "vtkCellArray.h"
#include "vtkContourValues.h"
#include "vtkImplicitFunction.h"
#include "vtkGenericAttributeCollection.h"
#include "vtkGenericAttribute.h"
#include "vtkGenericCellTessellator.h"
#include "vtkUnsignedCharArray.h"
#include "vtkQuad.h"
#include "vtkHexahedron.h"
#include "vtkWedge.h"
#include "vtkPyramid.h"
#include "vtkObjectFactory.h"

vtkStandardNewMacro(vtkEdgeFaceCell);
vtkCxxRevisionMacro(vtkEdgeFaceCell, "$Revision: 1.25 $");

vtkEdgeFaceCell::vtkEdgeFaceCell()
{
}

vtkEdgeFaceCell::~vtkEdgeFaceCell()
{
}

void vtkEdgeFaceCell::PrintSelf( ostream& os, vtkIndent indent )
{
  this->Superclass::PrintSelf( os, indent );
}

vtkIdType vtkEdgeFaceCell::GetId()
{
}

int vtkEdgeFaceCell::IsInDataSet()
{
}

int vtkEdgeFaceCell::GetType()
{
}

int vtkEdgeFaceCell::GetDimension()
{
}

int vtkEdgeFaceCell::GetGeometryOrder()
{
}

int vtkEdgeFaceCell::GetAttributeOrder( vtkGenericAttribute* a )
{
}

int vtkEdgeFaceCell::IsPrimary()
{
}

int vtkEdgeFaceCell::GetNumberOfPoints()
{
}

int vtkEdgeFaceCell::GetNumberOfBoundaries( int dim )
{
}

int vtkEdgeFaceCell::GetNumberOfDOFNodes()
{
}

void vtkEdgeFaceCell::GetPointIterator( vtkGenericPointIterator* it )
{
}

vtkGenericCellIterator* vtkEdgeFaceCell::NewCellIterator()
{
}

void vtkEdgeFaceCell::GetBoundaryIterator( vtkGenericCellIterator* boundaries, int dim )
{
}

int vtkEdgeFaceCell::CountNeighbors( vtkGenericAdaptorCell* boundary )
{
}

void vtkEdgeFaceCell::CountEdgeNeighbors( int* sharing )
{
}

void vtkEdgeFaceCell::GetNeighbors( vtkGenericAdaptorCell* boundary, vtkGenericCellIterator* neighbors )
{
}

int vtkEdgeFaceCell::FindClosestBoundary( int subId, double pcoords[3], vtkGenericCellIterator* &boundary )
{
}

int vtkEdgeFaceCell::EvaluatePosition( double x[3], double* closestPoint, int &subId, double pcoords[3], double &dist2 )
{
}

void vtkEdgeFaceCell::EvaluateLocation( int subId, double pcoords[3], double x[3] )
{
}

void vtkEdgeFaceCell::InterpolateTuple( vtkGenericAttribute* a, double pcoords[3], double* val )
{
}

void vtkEdgeFaceCell::InterpolateTuple( vtkGenericAttributeCollection* c, double pcoords[3], double* val )
{
}


void vtkEdgeFaceCell::Reset()
{
  this->Superclass::Reset();
}

void vtkEdgeFaceCell::Contour(
  vtkContourValues* contourValues, vtkImplicitFunction* f,
  vtkGenericAttributeCollection* attributes, vtkGenericCellTessellator* tess,
  vtkPointLocator* locator, vtkCellArray* verts, vtkCellArray* lines,
  vtkCellArray* polys, vtkPointData* outPd, vtkCellData* outCd,
  vtkPointData* internalPd, vtkPointData* secondaryPd,
  vtkCellData* secondaryCd )
{
  this->Superclass::Contour( contourValues, f, attributes, tess, locator,
    verts, lines, polys, outPd, outCd, internalPd, secondaryPd, secondaryCd );
}

void vtkEdgeFaceCell::Clip(
  double value, vtkImplicitFunction* f,
  vtkGenericAttributeCollection* attributes, vtkGenericCellTessellator* tess,
  int insideOut, vtkPointLocator* locator, vtkCellArray* connectivity,
  vtkPointData* outPd, vtkCellData* outCd, vtkPointData* internalPd,
  vtkPointData* secondaryPd, vtkCellData* secondaryCd )
{
  this->Superclass::Clip( value, f, attributes, tess, insideOut, locator,
    connectivity, outPd, outCd, internalPd, secondaryPd, secondaryCd );
}

int vtkEdgeFaceCell::IntersectWithLine( double p1[3], double p2[3], double tol, double &t, double x[3], double pcoords[3], int &subId )
{
}

void vtkEdgeFaceCell::Derivatives( int subId, double pcoords[3], vtkGenericAttribute* attribute, double* derivs )
{
}


void vtkEdgeFaceCell::GetBounds( double bounds[6] )
{
}

int vtkEdgeFaceCell::GetParametricCenter( double pcoords[3] )
{
}

double vtkEdgeFaceCell::GetParametricDistance( double pcoords[3] )
{
}

double* vtkEdgeFaceCell::GetParametricCoords()
{
}


void vtkEdgeFaceCell::Tessellate(
  vtkGenericAttributeCollection* attributes, vtkGenericCellTessellator* tess,
  vtkPoints* points, vtkPointLocator* locator, vtkCellArray* cellArray,
  vtkPointData* internalPd, vtkPointData* pd, vtkCellData* cd,
  vtkUnsignedCharArray* types )
{
  this->Superclass::Tessellate( attributes, tess, points, locator, cellArray,
    internalPd, pd, cd, types );
}

int vtkEdgeFaceCell::IsFaceOnBoundary( vtkIdType faceId )
{
}

int vtkEdgeFaceCell::IsOnBoundary()
{
}

void vtkEdgeFaceCell::GetPointIds( vtkIdType* id )
{
}


void vtkEdgeFaceCell::TriangulateFace(
  vtkGenericAttributeCollection* attributes, vtkGenericCellTessellator* tess,
  int index, vtkPoints* points, vtkPointLocator* locator,
  vtkCellArray* cellArray, vtkPointData* internalPd,
  vtkPointData* pd, vtkCellData* cd )
{
  this->Superclass::TriangulateFace( attributes, tess, index, points, locator,
    cellArray, internalPd, pd, cd );
}

int* vtkEdgeFaceCell::GetFaceArray( int faceId )
{
}

int vtkEdgeFaceCell::GetNumberOfVerticesOnFace( int faceId )
{
}

int* vtkEdgeFaceCell::GetEdgeArray( int edgeId )
{
}


