#include "vtkEdgeFaceDataSet.h"

#include "vtkCellTypes.h"
#include "vtkGenericAdaptorCell.h"
#include "vtkGenericAttributeCollection.h"
#include "vtkEdgeFaceCellIterator.h"
#include "vtkEdgeFacePointIterator.h"
#include "vtkGenericCellTessellator.h"
#include "vtkInformation.h"
#include "vtkInformationVector.h"
#include "vtkObjectFactory.h"

#include <assert.h>

vtkStandardNewMacro(vtkEdgeFaceDataSet);
vtkCxxRevisionMacro(vtkEdgeFaceDataSet, "$Revision: 1.8 $");

vtkEdgeFaceDataSet::vtkEdgeFaceDataSet()
{
}

vtkEdgeFaceDataSet::~vtkEdgeFaceDataSet()
{
}

void vtkEdgeFaceDataSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}

vtkIdType vtkEdgeFaceDataSet::GetNumberOfPoints()
{
  return 0; // FIXME
}

vtkIdType vtkEdgeFaceDataSet::GetNumberOfCells( int dim )
{
  return 0; // FIXME
}

int vtkEdgeFaceDataSet::GetCellDimension()
{
  return 3; // FIXME.
}

vtkGenericCellIterator* vtkEdgeFaceDataSet::NewCellIterator( int dim )
{
  vtkEdgeFaceCellIterator* cellIt = vtkEdgeFaceCellIterator::New();
  cellIt->SetDataSet( this );
  return cellIt;
}

vtkGenericCellIterator* vtkEdgeFaceDataSet::NewBoundaryIterator( int dim, int exteriorOnly )
{
  vtkEdgeFaceCellIterator* cellIt = vtkEdgeFaceCellIterator::New();
  cellIt->SetDataSet( this );
  cellIt->SetMode( vtkEdgeFaceCellIterator::BOUNDARY );
  return cellIt;
}

vtkGenericPointIterator* vtkEdgeFaceDataSet::NewPointIterator()
{
  vtkEdgeFacePointIterator* ptIt = vtkEdgeFacePointIterator::New();
  ptIt->SetDataSet( this );
  return ptIt;
}

int vtkEdgeFaceDataSet::FindCell(
  double x[3], vtkGenericCellIterator*& cell, double tol2, int& subId, double pcoords[3] )
{
  // FIXME
}

void vtkEdgeFaceDataSet::FindPoint( double x[3], vtkGenericPointIterator* p )
{
  // FIXME
}

void vtkEdgeFaceDataSet::ComputeBounds()
{
  // FIXME
}

unsigned long vtkEdgeFaceDataSet::GetActualMemorySize()
{
  unsigned long result = this->Superclass::GetActualMemorySize();
  // FIXME
  return result;
}

int vtkEdgeFaceDataSet::GetDataObjectType()
{
  // You may want to change this, but leaving as-is should not normally
  // be a problem. It will only matter when a descendent of vtkAlgorithm
  // must be able to differentiate between your subclass and the parent.
  return VTK_GENERIC_DATA_SET;
}

vtkIdType vtkEdgeFaceDataSet::GetEstimatedSize()
{
  // FIXME
}

vtkEdgeFaceDataSet* vtkEdgeFaceDataSet::GetData(vtkInformation* info)
{
  return info ? vtkEdgeFaceDataSet::SafeDownCast( info->Get( DATA_OBJECT() ) ) : 0;
}

vtkEdgeFaceDataSet* vtkEdgeFaceDataSet::GetData( vtkInformationVector* v, int i )
{
  return vtkEdgeFaceDataSet::GetData( v->GetInformationObject( i ) );
}

